local Index1=-1;
local Index2=-1;
function mini_create ()
  show_help_wnd=true;
  init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ИГРЫ ЛУНКИ.
--  1-й параметр - Код игры. Для этой игры код - 37.
--  2-й параметр - Количество лунок.
--                 P.S. Нечётное число.
--  3-й параметр - X-координата верхнего левого угла доски.
--  4-й параметр - Y-координата верхнего левого угла доски.
--  5-й параметр - Ширина поля в пикселях.
--  6-й параметр - Высота поля в пикселях.
--                 P.S. Не нужно, но, возможно, в будущих версиях пригодится.
--  7-й параметр - Стартовый идентификатор ключей.
  create_mini(37,7,80,147,123,178,651);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)
  if sender==26 then
    if id==100 then
    set_visible_object(5001,true)
    end;
  return; end;
  if sender==30 then
  setcurentleaf("rouk_enter",25,1);
    flags.nohints=false;
    if flags.minicomplete29 then
      StopEmiter("dver"); 
      playeffect("29");
      DeleteElement("gr",167);
      speciale_action(2,45,true);
      flags.enter=true;
      Set_Cursor(46,1);
      savegame(SaveLevel());
      --setcolor(244,0,0,0,0.5,1);
    return; end;  
  return; end;  
  if sender==10 then
    flags.minicomplete29=true;
    StartTimer(2100,1);
    -- CreateWindow(200,250,"47",1,"m&i",63,107,"а0044",246,13);
  return; end;
  if sender==37 then
     skipping=true;
  return;end;  
  if sender==36 and id==2100 then
    clear_satelite_leaf("rouk_enter");
  return; end;
  if sender==35 then
  if (not flags.minicomplete29) then
    i=hlsGetValidMove();
    if not visible then
    visible=true;
    if i~=-1 then    
      SetObjectPosition(644,Fields[i+1],141+32)
      speciale_action(2,644)
    return;end;
    if i==-1 then    
      SetObjectPosition(644,-500,141+32)
      speciale_action(2,644)
    return;end;
    return;end;  
    return;end;  
  end;
  if sender==39 then
    if (not flags.minicomplete29) then
    if i==hlsGetValidMove() then  
    if visible then
      visible=false;    
      speciale_action(2,644)
    return;end;      
    return;end;      
    end;
  return; end;
  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"2",100,"messageinfo",30,50)
      --playeffect("01");  
      help=true;
    end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender==1 then
    if id==6000 then

    helpbtn=true;           
    return;end
    if id==5000 and skipping then
      if not flags.minicomplete29 then
        finish_mini_game(true);
      return;end;  
    return;end;
    if id==645 then
        playeffect("17");  
      finish_mini_game(false);
      clear_satelite_leaf("rouk_enter");
      DeleteResource("m29_close"       );
      DeleteResource("m29_fon"         );
      DeleteResource("key"         );
      DeleteResource("podsv"         );
    return;end;
      if id>=651 and id<=656  then
      fGame=true;
      add_to_mouse(id);
--      mousepresed=true;
      objectid=id;

    return; end  
    if id==658
      then
        fGame=true;
        check_mini_game_Holes(0);
      playeffect("KeyIns");
    speciale_action(2,658);
    flags.vvod=true;
      if visible then 
        speciale_action(2,644)
      return;end;
      -- if not visible then
      -- return;end;
    return; end  
    return;end;
    if sender==6 then
    if helpbtn then
       CreateWindow(200,200,"2",100,"messageinfo",30,50)
           playeffect("11");  
      helpbtn=false;
    end;
      if visible then
      visible=false;    
      speciale_action(2,644)
    end;
  if flags.vvod then
    speciale_action(2,658);
    flags.vvod=false;
  return; end;
    if fGame==true
      then
        playeffect(9);
        RemoveFromMouse(objectid);  
        check_mini_game_Holes(objectid);
          playeffect("KeyRotate");
        fGame=false;
        objectid=0;
    return;end;  
  return; end;  
end;